<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# PHOTOS-MODOSIT                                                   #
# Meglévő fotó adatainak módosítási űrlapja                        #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Csak ha sikeresen belépett admin használja!!!
  if (!$_SESSION['user']) {
      exit();
  }
// id alapján a szerkeszteni kívánt fotó adatainak betöltése
  $lekerdezes_foto = lekerdezes("SELECT * FROM fotok WHERE foto_azon = ".$id);
  if (ossz_rekord($lekerdezes_foto) == 0) {
    echo "<div class=\"hiba\">A szerkesztendő fotóról nincsenek adatok!</div>\n";
    exit;
  }
  $rekord_foto = olvas_asszociativ($lekerdezes_foto);

// Feldolgozó FRAME
// az oldal újratöltése nélkül itt futnak le a képi módosítások    
    echo "        <iframe name=\"feldolgozo_oldal\" frameborder=\"0\" id=\"feldolgozo\" align=\"right\"></iframe>\n";
?>
      <div class="alcim">Fotó adatainak szerkesztése</div>
      <div id="photoedit" align="center">
<?php
  $fotofile = $dir['modules']."/imagecard.php?id=".$id;
  echo "        <img id=\"alkotasfoto\" src=\"".$fotofile."\" ".$kepinfo[2]."><br>\n";
  echo "        <img src=\"".$dir['images']."/icon_turnleft.png\" width=\"20\" height=\"20\" border=\"0\" onClick=\"forgatas('".$rekord_foto[foto_file]."',90)\" title=\"Forgatás balra\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
  echo "        <img src=\"".$dir['images']."/icon_turnright.png\" width=\"20\" height=\"20\" border=\"0\" onClick=\"forgatas('".$rekord_foto[foto_file]."',-90)\" title=\"Forgatás jobbra\" align=\"absmiddle\"  onMouseOver= \"this.style.cursor='hand'\">\n";
?>
      </div>
     
      <table class="adatok"><tr>
        <form name="feltolt" method="get" action="<?php echo $php; ?>">
        <input type="hidden" name="do" value="photos">
        <input type="hidden" name="mode" value="modify">
        <input type="hidden" name="id" value="<?php echo $id;?>">
        <td><span class="szoveg">Képfájl</span></td>
        <td><input type="text" name="fenykep" size="20" class="kereses" value="<?php echo $rekord_foto[foto_file];?>" readonly disabled></td>
      </tr><tr>
        <td><span class="szoveg">Forrás</span></td>
        <td><input type="text" name="forras" size="20" class="kereses" value="<?php echo $rekord_foto[foto_forras];?>"></td>
      </tr><tr>
        <td><span class="szoveg">Dátum</span></td>
        <td><input type="text" name="keszites" size="20" class="kereses" value="<?php echo $rekord_foto[foto_keszites];?>"></td>
      </tr><tr>
        <td><span class="szoveg">Fotós</span></td>
        <td><select name="fotos_kod" class="kereses">
<?php
  $lekerdezes_fotosok = lekerdezes("SELECT * FROM fotosok ORDER BY fotos_nev");
  if (ossz_rekord($lekerdezes_fotosok)>0) {
    while ($rekord_fotos = olvas_asszociativ($lekerdezes_fotosok)) {
      echo "          <option value=\"".$rekord_fotos[fotos_azon]."\"";
      if ($rekord_foto[fotos_kod] == $rekord_fotos[fotos_azon]) echo " SELECTED";
      echo ">".$rekord_fotos[fotos_nev]."</option>\n";
    }
  }
?>
        </select></td>
      </tr><tr>
        <td colspan="2" align="center">
          <p><br>
          <input type="button" value="<?php echo ucfirst($szoveg[gomb_modosit]);?>" class="keresesgomb" onClick="urlapellenoriz(this.form)">
          <input type="button" value="Mégsem" class="keresesgomb" onClick="history.back()">
        </td>
        </form>
      </table>

<script language="Javascript">
function urlapellenoriz(urlap) {
  var datummezok = new Array();
  datummezok = urlap.keszites.value.split("-"); 
  if (isNaN(datummezok[0]) || isNaN(datummezok[1]) || isNaN(datummezok[2]))
    window.alert("Érvénytelen dátum!");
  else 
    urlap.submit();
}
function forgatas(kepfile,fok) {
  var ide = "modules/imageturn.php?file="+kepfile+"&angle="+fok+"&id=<?php echo $id;?>";
  document.getElementById('feldolgozo').style.visibility = 'visible';
  window.frames['feldolgozo_oldal'].location.href=ide;
  setTimeout("window.location.reload()",1000);  
}
</script>
